package com.snplog.backend;

import java.io.IOException;

import org.apache.http.client.ClientProtocolException;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;

import com.snplog.backend.services.misc.WeatherService;


@SpringBootApplication
public class BackendApplication extends SpringBootServletInitializer {
	

	
	public static void main(String[] args) throws ClientProtocolException, IOException {
		SpringApplication.run(BackendApplication.class, args);
		
		WeatherService ws = new WeatherService();
		ws.updateSnowThickness();

	}

}
