package com.snplog.backend.models;

/**
 * 
 * @author Theodor Urtegård
 * 
 * RouteXL location model to perform calls to their REST API.
 * Helps with route optimization
 * <a>www.routexl.com</a>
 *
 */
public class RouteXLLocation {

	private int cabinId;
	
	private double lat;
	
	private double lng;
	
	public RouteXLLocation() {}

	public RouteXLLocation(int cabinId, double lat, double lng) {
		super();
		this.cabinId = cabinId;
		this.lat = lat;
		this.lng = lng;
	}

	public int getCabinId() {
		return cabinId;
	}

	public void setCabinId(int cabinId) {
		this.cabinId = cabinId;
	}

	public double getLat() {
		return lat;
	}

	public void setLat(double lat) {
		this.lat = lat;
	}

	public double getLng() {
		return lng;
	}

	public void setLng(double lng) {
		this.lng = lng;
	}

	@Override
	public String toString() {
		return "RouteXLLocation [cabinId=" + cabinId + ", lat=" + lat + ", lng=" + lng + "]";
	}
	
	
}
