package com.snplog.backend.repository;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.snplog.backend.entity.Cabin;

public interface CabinRepository extends JpaRepository<Cabin, Integer>, PagingAndSortingRepository<Cabin, Integer> {

	public List<Cabin> findByCabinNameOrderByCabinName(String cabinName);
	
}
