package com.snplog.backend.repository;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.data.repository.query.Param;

import com.snplog.backend.entity.MyUserRole;

public interface MyUserRoleRepository  extends JpaRepository<MyUserRole, Integer>, PagingAndSortingRepository<MyUserRole, Integer>, CrudRepository<MyUserRole, Integer>{

	
	@Query("SELECT r FROM MyUserRole r WHERE r.myUser.id = :id")
	public List<MyUserRole> getMyUserRoleByMyUser(@Param("id") int id);
}
