package com.snplog.backend.services;

import java.util.List;

import com.snplog.backend.dto.MyUserDTO;
import com.snplog.backend.entity.MyUser;
import com.snplog.backend.models.SortedQueryRequest;

public interface MyUserService {
	
	public List<MyUserDTO> findAll();
	
	public MyUserDTO getMyUserDTOByEmail(String email);
		
	public boolean checkIfUserExist(String email);

	public void updateMyUser(MyUserDTO myUserDTO);
	
	public MyUserDTO getMyUser(int id);

	public void saveMyUser(MyUser myUser);

	public void deleteMyUser(MyUserDTO myUserDTO);
	
	public MyUser getMyUserByEmail(String email);

	public List<MyUserDTO> getMyUsersSortedBy(SortedQueryRequest sortedQueryRequest);

	public List<MyUserDTO> getMyUsersByFirstNameSortedByFirstName(String firstName);

	public void deleteMyUserById(int id);

	public void addPlowerRole(MyUser myUser);

	public MyUser getMyUserById(int id);


}
