package com.snplog.backend.services;

import java.util.List;

import com.snplog.backend.dto.PlowerCabinAreaDTO;
import com.snplog.backend.entity.PlowerCabinArea;
import com.snplog.backend.models.SortedQueryRequest;

public interface PlowerCabinAreaService {
	
	public List<PlowerCabinAreaDTO> findAll();
	
	public PlowerCabinAreaDTO getPlowerCabinArea(int id);
	
	public void savePlowerCabinArea(PlowerCabinArea plowerCabinArea);
	
	public void updatePlowerCabinArea(PlowerCabinAreaDTO plowerCabinAreaDTO);

	public void deletePlowerCabinArea(PlowerCabinAreaDTO plowerCabinAreaDTO);

	public List<PlowerCabinAreaDTO> getPlowerCabinAreasSortedBy(SortedQueryRequest sortedQueryRequest);

	public void deletePlowerCabinAreaById(int id);

	public List<PlowerCabinAreaDTO> getPlowerCabinAreaByPlowerId(int id);

}
