package com.snplog.backend.services;

import java.util.List;

import com.snplog.backend.dto.PlowerRequestDTO;
import com.snplog.backend.entity.PlowerRequest;
import com.snplog.backend.models.SortedQueryRequest;

public interface PlowerRequestService {
	
	public List<PlowerRequestDTO> findAll();
	
	public PlowerRequestDTO getPlowerRequest(int id);
	
	public void savePlowerRequest(PlowerRequest plowerRequest);
	
	public void updatePlowerRequest(PlowerRequestDTO plowerRequestDTO);

	public void deletePlowerRequest(PlowerRequestDTO plowerRequestDTO);

	public List<PlowerRequestDTO> getPlowerRequestsSortedBy(SortedQueryRequest sortedQueryRequest);

	public void deletePlowerRequestById(int id);

	public List<PlowerRequestDTO> findActivePlowerRequests();

}
