package com.snplog.backend.services;

import java.util.List;

import com.snplog.backend.dto.PlowingRequestDTO;
import com.snplog.backend.entity.PlowingRequest;
import com.snplog.backend.models.SortedQueryRequest;

public interface PlowingRequestService {
	
	public List<PlowingRequestDTO> findAll();
	
	public PlowingRequestDTO getPlowingRequest(int id);
	
	public void savePlowingRequest(PlowingRequest plowingRequest);
	
	public void updatePlowingRequest(PlowingRequestDTO plowingRequestDTO);

	public void deletePlowingRequest(PlowingRequestDTO plowingRequestDTO);

	public List<PlowingRequestDTO> getPlowingRequestsSortedBy(SortedQueryRequest sortedQueryRequest);

	public void deletePlowingRequestById(int id);

	public List<PlowingRequestDTO> getPlowingRequestByCabinId(int id);

	public List<PlowingRequestDTO> getPlowingRequestsByCabinAreaId(int id);

}
