package com.snplog.backend.services.misc;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.userdetails.UserDetailsService;
import org.springframework.security.core.userdetails.UsernameNotFoundException;
import org.springframework.stereotype.Service;

import com.snplog.backend.misc.MyUserPrincipal;
import com.snplog.backend.services.MyUserService;

@Service
public class MyUserDetailsService implements UserDetailsService{
	
	@Autowired
	private MyUserService myUserService;

	
	@Override
	public MyUserPrincipal loadUserByUsername(String username) throws UsernameNotFoundException {
		
		return new MyUserPrincipal(myUserService.getMyUserByEmail(username));
	}
}
