package com.snplog.backend.timertasks;

import java.util.TimerTask;

import com.snplog.backend.entity.MyUser;
import com.snplog.backend.services.MyUserService;


public class OtpHandler extends TimerTask {
	
	private MyUserService myUserService;
	
	private MyUser myUser;
	
	public OtpHandler() {}
	
	public OtpHandler(MyUser myUser, MyUserService myUserService) {
		this.myUser = myUser;
		this.myUserService = myUserService;
	}

	@Override
	public void run() {
		myUser.setOtp(null);
		myUserService.saveMyUser(myUser);
	}

}
