class RouteRequest {
  DateTime dateOfArrival;
  DateTime dateOfDeparture;
  int cabinAreaId;
  String startLocation; // "lat,lng"
  String endLocation; // "lat,lng"

  RouteRequest(
      {this.dateOfArrival,
      this.dateOfDeparture,
      this.cabinAreaId,
      this.startLocation,
      this.endLocation});

  Map<String, dynamic> toJson() => {
        "dateOfArrival": dateOfArrival.toIso8601String(),
        "dateOfDeparture": dateOfDeparture.toIso8601String(),
        "cabinAreaId": cabinAreaId,
        "startLocation": startLocation,
        "endLocation": endLocation
      };
}
