class ProfileData {
  int phone;
  String email;
  String firstName;
  String lastName;
  List<String> roles;

  ProfileData(
      {this.phone, this.email, this.firstName, this.lastName, this.roles});

  ProfileData.fromJson(Map<String, dynamic> json) {
    phone = json['phone'];
    email = json['email'];
    firstName = json['first name'];
    lastName = json['last name'];
    roles = json['roles'].cast<String>();
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['phone'] = this.phone;
    data['email'] = this.email;
    data['first name'] = this.firstName;
    data['last name'] = this.lastName;
    data['roles'] = this.roles;
    return data;
  }
}
