import 'dart:convert';

import 'package:snow_plow/models/RoleDTO.dart';

class RoleService {
  List<RoleDTO> parseRoleDTOs(String responseBody) {
    final parsed = jsonDecode(responseBody).cast<Map<String, dynamic>>();

    return parsed.map<RoleDTO>((json) => RoleDTO.fromJson(json)).toList();
  }
}
