import 'package:flutter/material.dart';
import 'package:snow_plow/services/AuthenticationService.dart';
import 'package:snow_plow/services/MyUserService.dart';

class testPage extends StatefulWidget {
  static const routeName = "/test";

  @override
  _testPageState createState() => _testPageState();
}

class _testPageState extends State<testPage> {
  void doTestGet() {
    MyUserService myUserService = new MyUserService();
    myUserService.logMyUser();
  }

  void doTestJwt() {
    MyUserService myUserService = new MyUserService();
    myUserService.validateToken();
  }

  void testGetOtp() {
    AuthenticationService authenticationService = new AuthenticationService();
    authenticationService.getOtp("theodoru@stud.ntnu.no");
  }

  void testAuthenticate() {
    AuthenticationService authenticationService = new AuthenticationService();
    authenticationService.authenticate("theodoru@stud.ntnu.no", "010558");
  }

  void testGetMyUser() {
    MyUserService myUserService = new MyUserService();
    myUserService.fetchMyUser();
  }

  void testLombok() {}

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: () {
        //remove keyboard when tapping outside of the keyboard
        FocusScopeNode focused = FocusScope.of(context);

        if (!focused.hasPrimaryFocus) {
          focused.unfocus();
        }
      },
      child: Scaffold(
        appBar: AppBar(
          title: Text("test"),
        ),
        body: Center(
          child: Column(
              mainAxisAlignment: MainAxisAlignment.center,
              children: <Widget>[
                Container(
                  padding: EdgeInsets.fromLTRB(0, 5, 0, 60),
                  child: RaisedButton(
                    child: Text(
                      "test",
                      style: TextStyle(
                        fontSize: 25,
                        color: Colors.white,
                      ),
                    ),
                    onPressed: testGetMyUser,
                    color: Theme.of(context).primaryColor,
                    splashColor: Colors.white,
                    padding: EdgeInsets.symmetric(vertical: 25, horizontal: 30),
                  ),
                ),
              ]),
        ),
      ),
    );
  }
}
