package com.snplog.backend.models;

import java.sql.Timestamp;

public class PlowerRouteRequest {

	
	
	private Timestamp dateOfArrival;
	
	private Timestamp dateOfDeparture;
		
	private int cabinAreaId;
	
	private String startLocation;
	
	private String endLocation;
	
	public PlowerRouteRequest() {}

	public PlowerRouteRequest(Timestamp dateOfArrival, Timestamp dateOfDeparture, int cabinAreaId, String startLocation,
			String endLocation) {
		this.dateOfArrival = dateOfArrival;
		this.dateOfDeparture = dateOfDeparture;
		this.cabinAreaId = cabinAreaId;
		this.startLocation = startLocation;
		this.endLocation = endLocation;
	}

	public Timestamp getDateOfArrival() {
		return dateOfArrival;
	}

	public void setDateOfArrival(Timestamp dateOfArrival) {
		this.dateOfArrival = dateOfArrival;
	}

	public Timestamp getDateOfDeparture() {
		return dateOfDeparture;
	}

	public void setDateOfDeparture(Timestamp dateOfDeparture) {
		this.dateOfDeparture = dateOfDeparture;
	}

	public int getCabinAreaId() {
		return cabinAreaId;
	}

	public void setCabinAreaId(int cabinAreaId) {
		this.cabinAreaId = cabinAreaId;
	}

	public String getStartLocation() {
		return startLocation;
	}

	public void setStartLocation(String startLocation) {
		this.startLocation = startLocation;
	}

	public String getEndLocation() {
		return endLocation;
	}

	public void setEndLocation(String endLocation) {
		this.endLocation = endLocation;
	}

	@Override
	public String toString() {
		return "PlowerRouteRequest [dateOfArrival=" + dateOfArrival + ", dateOfDeparture=" + dateOfDeparture
				+ ", cabinAreaId=" + cabinAreaId + ", startLocation=" + startLocation + ", endLocation=" + endLocation
				+ "]";
	}

	
	
	
}
