package com.snplog.backend.repository;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.snplog.backend.entity.Cabin;
import com.snplog.backend.entity.CabinArea;

public interface CabinAreaRepository extends JpaRepository<CabinArea, Integer>, PagingAndSortingRepository<CabinArea, Integer> {

	public List<CabinArea> findByNameOrderByName(String name);
	
}
