package com.snplog.backend.repository;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.data.repository.query.Param;

import com.snplog.backend.entity.PlowerCabinArea;

public interface PlowerCabinAreaRepository extends JpaRepository<PlowerCabinArea, Integer>, PagingAndSortingRepository<PlowerCabinArea, Integer> {

	@Query("SELECT p FROM PlowerCabinArea p WHERE plower.id = :plowerId")
	public List<PlowerCabinArea> getPlowerCabinAreaByPlowerId(@Param("plowerId") int id);
}
