package com.snplog.backend.repository;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.snplog.backend.entity.PlowerRequest;

public interface PlowerRequestRepository extends JpaRepository<PlowerRequest, Integer>, PagingAndSortingRepository<PlowerRequest, Integer> {
	
	@Query("SELECT p FROM PlowerRequest p WHERE dateResponded = null")
	public List<PlowerRequest> getActivePlowerRequests();

}
