package com.snplog.backend.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.data.repository.query.Param;

import com.snplog.backend.entity.WeatherStation;

public interface WeatherStationRepository extends JpaRepository<WeatherStation, Integer>, PagingAndSortingRepository<WeatherStation, Integer>{

	@Query("SELECT w FROM WeatherStation w WHERE w.frostId = :wid")
	public WeatherStation getWeatherStationByFrostId(@Param("wid") String wid);
	
}
