package com.snplog.backend.services;

import java.util.List;

import com.snplog.backend.dto.CabinAreaDTO;
import com.snplog.backend.entity.CabinArea;
import com.snplog.backend.models.SortedQueryRequest;


public interface CabinAreaService {
	
	public List<CabinAreaDTO> findAll();
	
	public CabinAreaDTO getCabinArea(int id);
	
	public void saveCabinArea(CabinArea cabinArea);
	
	public void updateCabinArea(CabinAreaDTO cabinAreaDTO);

	public void deleteCabinArea(CabinAreaDTO cabinAreaDTO);

	public List<CabinAreaDTO> getCabinAreasSortedBy(SortedQueryRequest sortedQueryRequest);

	public List<CabinAreaDTO> getCabinAreasByNameSortedByName(String name);

	public void deleteCabinAreaById(int id);
	
	public List<CabinAreaDTO> getCabinAreasByPlowerId(int id);

}
