package com.snplog.backend.services;

import java.util.List;

import com.snplog.backend.dto.ChangeDTO;
import com.snplog.backend.entity.Change;
import com.snplog.backend.models.SortedQueryRequest;


public interface ChangeService {

	public List<ChangeDTO> findAll();
	
	public ChangeDTO getChange(int id);
	
	public void saveChange(Change change);
	
	public void deleteChange(Change change);

	void updateChange(ChangeDTO changeDTO);

	public List<ChangeDTO> getChangesSortedBy(SortedQueryRequest sortedQueryRequest);

	public void deleteChangeById(int id);
	
}
