package com.snplog.backend.services;

import java.util.List;

import com.snplog.backend.dto.MessageDTO;
import com.snplog.backend.entity.Message;
import com.snplog.backend.models.SortedQueryRequest;

public interface MessageService {
	
	public List<MessageDTO> findAll();
	
	public MessageDTO getMessage(int id);
	
	public void saveMessage(Message message);
	
	public void updateMessage(MessageDTO messageDTO);

	public void deleteMessage(MessageDTO messageDTO);

	public List<MessageDTO> getMessagesSortedBy(SortedQueryRequest sortedQueryRequest);

	public void deleteMessageById(int id);


}
