package com.snplog.backend.services;

import java.util.List;

import com.snplog.backend.dto.MessageThreadDTO;
import com.snplog.backend.entity.MessageThread;
import com.snplog.backend.models.SortedQueryRequest;

public interface MessageThreadService {
	
	public List<MessageThreadDTO> findAll();
	
	public MessageThreadDTO getMessageThread(int id);
	
	public void saveMessageThread(MessageThread messageThread);
	
	public void updateMessageThread(MessageThreadDTO messageThreadDTO);

	public void deleteMessageThread(MessageThreadDTO messageThreadDTO);

	public List<MessageThreadDTO> getMessageThreadsSortedBy(SortedQueryRequest sortedQueryRequest);

	public void deleteMessageThreadById(int id);
	
}
