package com.snplog.backend.services;

import java.util.List;

import com.snplog.backend.dto.PlowerPositionDTO;
import com.snplog.backend.entity.PlowerPosition;
import com.snplog.backend.models.SortedQueryRequest;

public interface PlowerPositionService {
	
	public List<PlowerPositionDTO> findAll();
	
	public PlowerPositionDTO getPlowerPosition(int id);
	
	public void savePlowerPosition(PlowerPosition plowerPosition);
	
	public void deletePlowerPosition(PlowerPosition plowerPosition);

	public List<PlowerPositionDTO> getPlowerPositionsSortedBy(SortedQueryRequest sortedQueryRequest);

	public void deletePlowerPositionById(int id);

}
