package com.snplog.backend.services;

import java.util.List;

import com.snplog.backend.dto.SnowStatisticDTO;
import com.snplog.backend.entity.SnowStatistic;
import com.snplog.backend.models.SortedQueryRequest;

public interface SnowStatisticService {
	
	public List<SnowStatisticDTO> findAll();
	
	public SnowStatisticDTO getSnowStatistic(int id);
	
	public void saveSnowStatistic(SnowStatistic snowStatistic);
	
	public void deleteSnowStatistic(SnowStatistic snowStatistic);

	void updateSnowStatistic(SnowStatisticDTO snowStatisticDTO);

	public List<SnowStatisticDTO> getSnowStatisticsSortedBy(SortedQueryRequest sortedQueryRequest);

}
