package com.snplog.backend.services;

import java.util.List;

import com.snplog.backend.dto.WeatherStationDTO;
import com.snplog.backend.entity.WeatherStation;
import com.snplog.backend.models.SortedQueryRequest;

public interface WeatherStationService {

	public List<WeatherStationDTO> findAll();
	
	public WeatherStationDTO getWeatherStation(int id);
	
	public void saveWeatherStation(WeatherStation weatherStation);
	
	public void deleteWeatherStation(WeatherStation weatherStation);

	public void updateWeatherStation(WeatherStationDTO weatherStationDTO);

	public List<WeatherStationDTO> getWeatherStationsSortedBy(SortedQueryRequest sortedQueryRequest);

	public void deleteWeatherStationById(int id);
	
}
