import 'package:snow_plow/models/MyUserDTO.dart';

class Change {
  int id;
  MyUserDTO myUserDTO;
  DateTime created;
  String tableName;
  String columnName;
  int rowNumber;
  String oldValue;
  String newValue;

  Change(
      {this.id,
      this.myUserDTO,
      this.created,
      this.tableName,
      this.columnName,
      this.rowNumber,
      this.oldValue,
      this.newValue});

  Map<String, dynamic> toJson() => {
        "id": id,
        "myUser": null,
        "created": created?.toIso8601String() ?? null,
        "tableName": tableName,
        "columnName": columnName,
        "rowNumber": rowNumber,
        "oldValue": oldValue,
        "newValue": newValue
      };

  @override
  String toString() {
    return 'ChangeDTO{id: $id, myUserDTO: $myUserDTO, created: $created, tableName: $tableName, columnName: $columnName, rowNumber: $rowNumber, oldValue: $oldValue, newValue: $newValue}';
  }
}
