import 'package:snow_plow/models/MyUserDTO.dart';

class ChangeDTO {
  int id;
  MyUserDTO myUserDTO;
  DateTime created;
  String tableName;
  String columnName;
  int rowNumber;
  String oldValue;
  String newValue;

  ChangeDTO(
      {this.id,
      this.myUserDTO,
      this.created,
      this.tableName,
      this.columnName,
      this.rowNumber,
      this.oldValue,
      this.newValue});

  factory ChangeDTO.fromJson(Map<String, dynamic> json) {
    if (json == null) {
      return null;
    }
    return ChangeDTO(
        id: json["id"],
        myUserDTO: MyUserDTO.fromJson(json["MyUser"]),
        created: json["created"],
        tableName: json["tableName"],
        columnName: json["columnName"],
        rowNumber: json["rowNumber"],
        oldValue: json["oldValue"],
        newValue: json["newValue"]);
  }

  Map<String, dynamic> toJson() => {
        "id": id,
        "myUserDTO": myUserDTO,
        "created": created,
        "tableName": tableName,
        "columnName": columnName,
        "rowNumber": rowNumber,
        "oldValue": oldValue,
        "newValue": newValue
      };

  @override
  String toString() {
    return 'ChangeDTO{id: $id, myUserDTO: $myUserDTO, created: $created, tableName: $tableName, columnName: $columnName, rowNumber: $rowNumber, oldValue: $oldValue, newValue: $newValue}';
  }
}
