class JsonWebToken {
  final String token;

  JsonWebToken({this.token});

  factory JsonWebToken.fromJson(Map<String, dynamic> json) {
    return JsonWebToken(token: json["jwt"]);
  }

  Map<String, dynamic> toJson() => {"jwt": token};

  @override
  String toString() {
    return 'JsonWebToken{token: $token}';
  }
}
