class RoleDTO {
  String role;
  String description;

  RoleDTO({this.role, this.description});

  factory RoleDTO.fromJson(Map<String, dynamic> json) {
    return RoleDTO(role: json["role"], description: json["description"]);
  }

  Map<String, dynamic> toJson() => {"role": role, "description": description};

  @override
  String toString() {
    return 'RoleDTO{role: $role, description: $description}';
  }
}
