import 'package:flutter/material.dart';

import '../models/Cabin.dart';

class CabinProvider with ChangeNotifier {
  List<Cabin> _items = [
    Cabin(description: "First", id: "01", title: "First", imageURL: "a"),
    Cabin(description: "Second", id: "02", title: "Second", imageURL: "b"),
    Cabin(description: "Third", id: "03", title: "Third", imageURL: "c"),
  ];

  List<Cabin> get items {
    return [..._items];
  }

  void addCabin() {
    notifyListeners();
  }
}
